Kicad 7 testing works on Asahi, 7.0.9 does not

Hi, first post here. As per libcontext crash on arm64 Linux with bti (#16008) · Issues · KiCad / KiCad Source Code / kicad · GitLab there was some arm support missing from libcontext that was preventing Kicad from working on Asahi (and some other Arm platforms it would seem). This was fixed last month. I’ve been using it fairly intensively with no issues since.

Until 7.0.10 comes out you can pick up the fix using kicad-testing. Instructions can be found at @kicad/kicad-testing Copr

1 Like

Kicad 7.0.10 is out so the fix is now in the version installed by default.